Support Center

ViMP Support

Support-Forum

 
Avatar
Blackwall
Beiträge: 12
Hey zusammen,

Versuche gerade ViMP auf einem frisch installierten Kubuntu 11.10 zu installieren, funktionierte bis jetzt auch alles einwandfrei, wie es in der Installationsanleitung erklärt ist.

Nun bin ich aber bei einem Problem:

Ich kriege einen Fatal-Error, beim Versuch den Befehl ./symfony framework:init mysql://<Name>:<Passwort>@localhost/<Name> auszuführen.

In der Anleitung steht ja, dass bei diesem Befehl Probleme auftauchten, wenn ich eine andere Distribution als Debian nutzen würde.

Wie in der Anleitung steht, öffnete ich /var/www/<Name>/data/config/defaults.yml
Und in der Anleitung steht nun, dass ich www-data mit den jeweils passenden Werten für meine Distribution ersetzen muss, doch was muss ich da eingeben, wenn ich Kubuntu 11.10 benutze?!

Bin froh um jede Hilfe!

MFG

Blackwall
15.11.2011 15:24
Avatar
support
ViMP Support
Beiträge: 5151
Hallo Blackwall,

Kubuntu ist ein Ubuntu und basiert damit auf Debian ;-)
Du musst da nichts ändern.

Du musst allerdings php konfigurieren und zwar für das apache-Modul (/etc/php5/apache2/php.ini) und füs cli (/etc/php5/cli/php.ini).

Hier steht das auch noch mal unter "PHP Konfiguration" beschrieben.

Wenn das nicht hilft, poste mal die Fehlermeldung, mit der der init-task abbricht.

Viele Grüße
ViMP Support Team
15.11.2011 15:54
Avatar
Blackwall
Beiträge: 12
Hey,

Ich weiss, dass Ubuntu von Debian abstammt :D

Zu meinem Problem:

Nach wie vor das Gleiche -.-*

PHP Fatal error: Call to undefined function sg_load() in /var/www/thisisatest/data/config/ProjectConfiguration.class.php on line 2

Das gibt es aus, wenn ich ./symfony framework:init mysql://<Name>:<Passwort>@localhost/<Name> eingebe... habe die beiden Datein:

- /etc/php5/apache2/php.ini
- /etc/php5/cli/php.ini

Wie im Link beschrieben abgeändert.

MFG

Blackwall
15.11.2011 16:54
Avatar
support
ViMP Support
Beiträge: 5151
Hallo Blackwall,

Du musst die sourceguardian-Erweiterung für php installieren.
Die Community und Profesionnal Version von ViMP wird kompiliert ausgeliefert, so dass der php-code nicht verändert werden kann, dazu wird diese Erweiterung benötigt.

Hier steht, wie das geht:
http://www.vimp.com/dokumentation-faq-artikel/items/sourceguardian-php-erweiterung-installieren-nur-vimp-community-und-vimp-professional.html

Viele Grüße
ViMP Support Team
21.11.2011 12:19
 

Loggen Sie sich ein oder registrieren Sie sich, um Forenbeiträge zu verfassen.

Anfrage
Anfrage
Demo